Class | Fog::Storage::IBM::Real
In: | lib/fog/ibm/requests/storage/create_volume.rb lib/fog/ibm/requests/storage/list_volumes.rb lib/fog/ibm/requests/storage/list_offerings.rb lib/fog/ibm/requests/storage/get_volume.rb lib/fog/ibm/requests/storage/delete_volume.rb lib/fog/ibm/storage.rb
Parent: | Object

### Methods

create_volume delete_volume get_volume list_offerings list_volumes new

### Public Class methods

new(options={})

### Public Instance methods

create_volume(name, offering_id, format, location_id, size)

Requests a new Storage Volume be created.

#### Parameters

- name<~String> - The alias to use to referance storage volume
- offeringID<~String> - offering id can be requested from /computecloud/enterprise/api/rest/20100331/offerings/storage
- format<~String> - filesystem format for volume
- location<~String> - datacenter location for volume
- size<~String> - size of volume desired (Small, Medium, Large) (varies by location what size actually is)
- storageAreaID<~String> - (not supported yet)

### Returns

- response<~Excon::Response>:
  - body<~Hash>:
    - name<~String> - The alias to use to referance storage volume
    - format<~String> - filesystem format for storage
    - location<~String> - datacenter location for storage
    - createdTime<~Integer> - Epoch time of creation
    - size<~String> - size of storage desired (Small, Medium, Large) (varies by location what size actually is)
    - productCodes<~Array> -
    - offeringID<~String> - offering id can be requested from /computecloud/enterprise/api/rest/20100331/offerings/storage
    - id<~String> - id of new storage
    - owner<~String> - owner of new storage
    - state<~Integer> - state of newly requested storage

delete_volume(volume_id)

Deletes the storage that the authenticated user manages with the specified :storage_id

#### Parameters

- volume_id<~String> - Id of storage volume

#### Returns

- response<~Excon::Response>:
  - body<~Hash>: *’success’<~Bool>: true or false for success

get_volume(volume_id)

Used to retrieve the specified storage volume for specified volume_id

#### Parameters

- volume_id<~String> - Id of storage volume

#### Returns

- response<~Excon::Response>:
  - body<~Hash>:

list_offerings()

Returns the offerings of storage for the authenticated user

#### Parameters

No parameters

#### Returns

- response<~Excon::Response>:
  - body<~Hash>:
    - ‘volumes’<~Array>: list of images
      - ‘name’<~String>: Name of storage offering
      - ‘price’<~Hash>: hash containing pricing information
        - ‘pricePerQuantity’<~Integer>:
        - ‘effectiveDate’<~Integer>: starting date price is effective
        - ‘rate’<~Float>: rate per unit
        - ‘countryCode’<~String>:
        - ‘currencyCode’<~String>: currency used
      - ‘location’<~String>: datacenter location string
      - ‘id’<~String>: id of offering
      - ‘formats’<~Array>: filesystem format storage offered with
        - ‘label’<~String>: label for filesystem
        - ‘id’<~String>: string used for id of format
      - ‘capacity’<~Integer>: size in GB‘s

list_volumes()

Returns the list of storage volumes

#### Parameters

No parameters

#### Returns

- response<~Excon::Response>:
  - body<~Hash>:
    - ‘volumes’<~Array>: list of images
      - ‘name’<~String>: Name of image
      - ‘format’<~String>: filesystem volume is formatted with
      - ‘location’<~String>: datacenter location string
      - ‘createdTime’<~Integer>: creation time in Epoch int
      - ‘size’<~String>: size in GB‘s (as a string)
      - ‘productCodes’<~Array>: unsure..
      - ‘offeringId’<~String>:
      - ‘id’<~String>: volume id
      - ‘owner’<~String>: owner‘s email address
      - ‘state’<~Integer>: known so far: 4 provisioned, unattached; 5 provisioned, attached

[Validate]